diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.test_form.inc b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.test_form.inc
index 32e573eb..42cd77bb 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.test_form.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.test_form.inc
@@ -17,7 +17,6 @@
  * @return
  *   The form structure.
  */
-
 function ldap_user_test_form($form, &$form_state, $op = NULL) {
 
   $username = @$_SESSION['ldap_user_test_form']['testing_drupal_username'];
@@ -27,7 +26,7 @@ function ldap_user_test_form($form, &$form_state, $op = NULL) {
   $form['#prefix'] .= t('This form simply tests an LDAP User configuration against an individual ldap or drupal user.
     It makes no changes to the drupal or ldap user.');
 
-  $form['testing_drupal_username'] = array(
+  $form['testing_drupal_username'] = [
     '#type' => 'textfield',
     '#title' => t('Testing Drupal Username'),
     '#default_value' => $username,
@@ -35,51 +34,53 @@ function ldap_user_test_form($form, &$form_state, $op = NULL) {
     '#size' => 30,
     '#maxlength' => 255,
     '#description' => t('This is optional and used for testing this server\'s configuration against an actual username.  The user need not exist in Drupal and testing will not affect the user\'s LDAP or Drupal Account.'),
-  );
-
-  $form['test_mode'] = array(
-      '#type' => 'radios',
-      '#title' => t('Testing Mode'),
-      '#required' => 0,
-      '#default_value' => isset( $_SESSION['ldap_user_test_form']['test_mode']) ? $_SESSION['ldap_user_test_form']['test_mode'] : 'query',
-      '#options' => array(
-        'query' => t('Test Query.  Will not alter anything in drupal or LDAP'),
-        'execute' => t('Execute Action.  Will perform provisioning configured for events below.  If this is selected only one action should be selected below'),
-      ),
-    );
+  ];
+
+  $form['test_mode'] = [
+    '#type' => 'radios',
+    '#title' => t('Testing Mode'),
+    '#required' => 0,
+    '#default_value' => isset($_SESSION['ldap_user_test_form']['test_mode']) ? $_SESSION['ldap_user_test_form']['test_mode'] : 'query',
+    '#options' => [
+      'query' => t('Test Query.  Will not alter anything in drupal or LDAP'),
+      'execute' => t('Execute Action.  Will perform provisioning configured for events below.  If this is selected only one action should be selected below'),
+    ],
+  ];
 
   $synch_trigger_options = ldap_user_synch_triggers_key_values();
 
-  $selected_actions = isset($_SESSION['ldap_user_test_form']['action']) ? $_SESSION['ldap_user_test_form']['action'] : array();
-  $form['action'] = array(
-      '#type' => 'checkboxes',
-      '#title' => t('Actions/Event Handlers to Test'),
-      '#required' => 0,
-      '#default_value' => $selected_actions,
-      '#options' => $synch_trigger_options,
-      '#states' => array(
-        'visible' => array(   // action to take.
-          ':input[name="wsEnabled"]' => array('checked' => TRUE),
-        ),
-      ),
-    );
-
-  $form['submit'] = array(
+  $selected_actions = isset($_SESSION['ldap_user_test_form']['action']) ? $_SESSION['ldap_user_test_form']['action'] : [];
+  $form['action'] = [
+    '#type' => 'checkboxes',
+    '#title' => t('Actions/Event Handlers to Test'),
+    '#required' => 0,
+    '#default_value' => $selected_actions,
+    '#options' => $synch_trigger_options,
+    '#states' => [
+      'visible' => [
+        ':input[name="wsEnabled"]' => ['checked' => TRUE],
+      ],
+    ],
+  ];
+
+  $form['submit'] = [
     '#type' => 'submit',
     '#value' => 'test',
     '#weight' => 100,
-  );
+  ];
 
   return $form;
 }
 
+/**
+ *
+ */
 function ldap_user_test_form_validate($form, &$form_state) {
   if ($form_state['values']['test_mode'] == 'execute'  &&
-    count(array_filter($form_state['values']['action'])) > 1 ) {
+    count(array_filter($form_state['values']['action'])) > 1) {
     form_set_error('test_mode', t('Only one action may be selected for "Execute Action" testing mode.'));
   }
 
-
 }
 
 /**
@@ -96,7 +97,7 @@ function ldap_user_test_form_submit($form, &$form_state) {
 
     $user_object = user_load_by_name($username);
     if ($user_object) {
-      $user_entities = entity_load('user', array($user_object->uid));
+      $user_entities = entity_load('user', [$user_object->uid]);
       $user_entity = $user_entities[$user_object->uid];
     }
     else {
@@ -104,7 +105,7 @@ function ldap_user_test_form_submit($form, &$form_state) {
     }
 
     $ldap_user_conf = ldap_user_conf();
-    $test_servers = array();
+    $test_servers = [];
     $user_ldap_entry = FALSE;
     if ($ldap_user_conf->drupalAcctProvisionServer) {
       $test_servers[LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER] = $ldap_user_conf->drupalAcctProvisionServer;
@@ -116,7 +117,7 @@ function ldap_user_test_form_submit($form, &$form_state) {
         $user_ldap_entry = ldap_servers_get_user_ldap_data($username, $ldap_user_conf->ldapEntryProvisionServer);
       }
     }
-    $results = array();
+    $results = [];
     $results['username'] = $username;
     $results['user object (before provisioning or synching)'] = $user_object;
     $results['user entity (before provisioning or synching)'] = $user_entity;
@@ -124,11 +125,12 @@ function ldap_user_test_form_submit($form, &$form_state) {
     $results['ldap_user_conf'] = $ldap_user_conf;
 
     if (is_object($user_object)) {
-      $authmaps = db_query("SELECT aid, uid, module, authname FROM {authmap} WHERE uid = :uid", array(':uid' => $user_object->uid))->fetchAllAssoc('aid', PDO::FETCH_ASSOC);
+      $authmaps = db_query("SELECT aid, uid, module, authname FROM {authmap} WHERE uid = :uid", [':uid' => $user_object->uid])->fetchAllAssoc('aid', PDO::FETCH_ASSOC);
     }
     else {
       $authmaps = 'No authmaps available.  Authmaps only shown if user account exists beforehand';
-      $user_object = new stdClass(); // need for testing.
+      // Need for testing.
+      $user_object = new stdClass();
       $user_object->name = $username;
     }
     $results['User Authmap'] = $authmaps;
@@ -136,11 +138,11 @@ function ldap_user_test_form_submit($form, &$form_state) {
 
     $save = ($form_state['values']['test_mode'] == 'execute');
     $test_query = ($form_state['values']['test_mode'] != 'execute');
-    $user_edit = array('name' => $username);
+    $user_edit = ['name' => $username];
 
     foreach (array_filter($selected_actions) as $i => $synch_trigger) {
       $synch_trigger_description = $synch_trigger_options[$synch_trigger];
-      foreach (array(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) as $direction) {
+      foreach ([LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY] as $direction) {
         if ($ldap_user_conf->provisionEnabled($direction, $synch_trigger)) {
           if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
             $discard = $ldap_user_conf->provisionDrupalAccount(NULL, $user_edit, NULL, $save);
@@ -161,17 +163,18 @@ function ldap_user_test_form_submit($form, &$form_state) {
         }
       }
     }
-    // do all synchs second, in case logic of form changes to allow executing mulitple events
+    // Do all synchs second, in case logic of form changes to allow executing mulitple events.
     foreach (array_filter($selected_actions) as $i => $synch_trigger) {
       $synch_trigger_description = $synch_trigger_options[$synch_trigger];
-      foreach (array(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) as $direction) {
+      foreach ([LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY] as $direction) {
         if ($ldap_user_conf->provisionEnabled($direction, $synch_trigger)) {
           if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
             $discard = $ldap_user_conf->synchToDrupalAccount(NULL, $user_edit, NULL, $test_query);
             $results['synchToDrupalAccount method results']["context = $synch_trigger_description"]['proposed'] = $user_edit;
           }
-          else { // to ldap
-            $provision_result = $ldap_user_conf->synchToLdapEntry($user_object, $user_edit, array(), $test_query);
+          // To ldap.
+          else {
+            $provision_result = $ldap_user_conf->synchToLdapEntry($user_object, $user_edit, [], $test_query);
             $results['synchToLdapEntry method results']["context = $synch_trigger_description"] = $provision_result;
           }
         }
@@ -179,14 +182,14 @@ function ldap_user_test_form_submit($form, &$form_state) {
           if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
             $results['synchToDrupalAccount method results']["context = $synch_trigger_description"] = 'Not enabled.';
           }
-          else { // to ldap
+          // To ldap.
+          else {
             $results['synchToLdapEntry method results']["context = $synch_trigger_description"] = 'Not enabled.';
           }
         }
       }
     }
 
-
     if (function_exists('dpm')) {
       dpm($results);
     }
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.theme.inc b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.theme.inc
index 47bfd2a6..bd2fcc6f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.theme.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.theme.inc
@@ -2,16 +2,16 @@
 
 /**
  * @file
- *   theme functions for ldap_user module
+ * Theme functions for ldap_user module.
  */
 
 /**
- * turns array of variables to a form embedded in one table for each ldap server
+ * Turns array of variables to a form embedded in one table for each ldap server.
  */
 function theme_ldap_user_conf_form($variables) {
 
   $form = $variables['form'];
-  $tables = array();
+  $tables = [];
 
   foreach ($form as $key => $element) {
     $parts = explode('__', $key);
@@ -19,7 +19,7 @@ function theme_ldap_user_conf_form($variables) {
       list($direction, $discard, $column_name, $i) = $parts;
       $row = $element['#row'];
       $col = $element['#col'];
-      $tables[$direction]['rows'][$row][$col] = array('data' => drupal_render($form[$key]), 'class' => array('module'), 'colspan' => 1);
+      $tables[$direction]['rows'][$row][$col] = ['data' => drupal_render($form[$key]), 'class' => ['module'], 'colspan' => 1];
     }
   }
 
@@ -31,126 +31,132 @@ function theme_ldap_user_conf_form($variables) {
 
       $direction_text = 'todrupal';
 
-      $header = array(
-        array(
+      $header = [
+        [
           'data' => t('Remove'),
           'rowspan' => 1,
-          'class' => 'mixedcase'
-        ),
-        array(
+          'class' => 'mixedcase',
+        ],
+        [
           'data' => t('Source LDAP Tokens. (See http://drupal.org/node/1245736) ') ,
           'class' => 'mixedcase',
           'rowspan' => 1,
           'colspan' => 2,
-        ),
-        array(
+        ],
+        [
           'data' => t('Target Drupal Attribute'),
           'rowspan' => 1,
           'class' => 'mixedcase',
-        ),
-        array('data' => t('When Should Attribute Be Synchronized to Drupal?'),
+        ],
+        [
+          'data' => t('When Should Attribute Be Synchronized to Drupal?'),
           'colspan' => count($ldap_user_conf_admin->provisionsDrupalEvents),
           'rowspan' => 1,
-          'class' => 'mixedcase'
-        ),
+          'class' => 'mixedcase',
+        ],
 
-      );
+      ];
 
-      $second_header = array(
-        array('data' => t(''),
-              'header' => TRUE,
-              'class' => 'mixedcase',
-              ),
-        array('data' => t('e.g: "[sn]", "[mail:0]", "[ou:last]", "[sn], [givenName]" etc.
+      $second_header = [
+        [
+          'data' => t(''),
+          'header' => TRUE,
+          'class' => 'mixedcase',
+        ],
+        [
+          'data' => t('e.g: "[sn]", "[mail:0]", "[ou:last]", "[sn], [givenName]" etc.
                 Constants such as "17" or "imported" should not be enclosed in [].'),
-              'header' => TRUE,
-              'class' => 'mixedcase',
-              ),
-        array('data' => t('Convert From Binary?'),
-              'class' => 'mixedcase',
-              'header' => TRUE
-              ),
-        array('data' => "",
-              'header' => TRUE,
-              ),
-      );
+          'header' => TRUE,
+          'class' => 'mixedcase',
+        ],
+        [
+          'data' => t('Convert From Binary?'),
+          'class' => 'mixedcase',
+          'header' => TRUE,
+        ],
+        [
+          'data' => "",
+          'header' => TRUE,
+        ],
+      ];
 
       foreach ($ldap_user_conf_admin->provisionsDrupalEvents as $col_id => $col_name) {
-        $second_header[] = array('data' => $col_name, 'header' => TRUE, 'class' => 'mixedcase');
+        $second_header[] = ['data' => $col_name, 'header' => TRUE, 'class' => 'mixedcase'];
       }
     }
-    else { // to ldap
+    // To ldap.
+    else {
 
       $direction_text = 'toldap';
 
-      $header = array(
-        array(
+      $header = [
+        [
           'data' => t('Remove'),
           'rowspan' => 1,
-          'class' => 'mixedcase'
-        ),
-        array(
+          'class' => 'mixedcase',
+        ],
+        [
           'data' => t('Source Drupal User Attribute') ,
           'class' => 'mixedcase',
           'rowspan' => 1,
           'colspan' => 3,
-        ),
-        array(
+        ],
+        [
           'data' => t('Target LDAP Token'),
           'rowspan' => 1,
           'class' => 'mixedcase',
-        ),
-        array(
+        ],
+        [
           'data' => t('When Should Attribute Be Synchronized to LDAP?'),
           'colspan' => count($ldap_user_conf_admin->provisionsLdapEvents),
           'rowspan' => 1,
           'class' => 'mixedcase',
-        ),
-      );
+        ],
+      ];
 
-      $second_header = array(
-        array(
+      $second_header = [
+        [
           'data' => t(''),
-          'header' => TRUE
-        ),
-        array(
+          'header' => TRUE,
+        ],
+        [
           'data' => t('(Select "user tokens" to use token field)'),
           'header' => TRUE,
-          'class' => 'mixedcase'
-        ),
-        array(
+          'class' => 'mixedcase',
+        ],
+        [
           'data' => t('Source Drupal User tokens such as: "[property.name]", "[field.field_fname] [field.field_lname]". Constants such as "from_drupal" or "18" should not be enclosed in []'),
           'header' => TRUE,
-          'class' => 'mixedcase'
-        ),
-        array(
+          'class' => 'mixedcase',
+        ],
+        [
           'data' => t('Convert From Binary'),
           'header' => TRUE,
-          'class' => 'mixedcase'
-        ),
-        array(
+          'class' => 'mixedcase',
+        ],
+        [
           'data' => t('Use singular token format such as [sn], [givenName], etc.'),
           'header' => TRUE,
-          'class' => 'mixedcase'
-        ),
-      );
+          'class' => 'mixedcase',
+        ],
+      ];
       foreach ($ldap_user_conf_admin->provisionsLdapEvents as $col_id => $col_name) {
-        $second_header[] = array('data' => $col_name, 'header' => TRUE, 'class' => 'mixedcase');
+        $second_header[] = ['data' => $col_name, 'header' => TRUE, 'class' => 'mixedcase'];
       }
     }
 
-    // #col is ignored, so sort table columns here
+    // #col is ignored, so sort table columns here.
     foreach ($table['rows'] as $row_id => $row) {
       $discard = ksort($row);
       $table['rows'][$row_id] = $row;
     }
 
     $table['header'] = $header;
-    $table['attributes'] = array('class' => array('ldap-provision-' . $direction_text));
+    $table['attributes'] = ['class' => ['ldap-provision-' . $direction_text]];
     array_unshift($table['rows'], $second_header);
     $table_themed = theme('table', $table);
     $rendered_table = theme('table', $table);
-    $output = str_replace( '[replace_with_table__' . $direction . ']', $rendered_table, $output);
+    $output = str_replace('[replace_with_table__' . $direction . ']', $rendered_table, $output);
   }
 
   return $output;
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.ws.inc b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.ws.inc
index e0e3e748..fcadfa60 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.ws.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.ws.inc
@@ -2,27 +2,23 @@
 
 /**
  * @file
- * functions related to REST webservices for LDAP User module
- *
- * ldap/user/ws/<action>/<direction_tag>/<drupal username|dn>/<api_key>
- *
- * action = 'create', 'synch', 'query', 'disable', or 'delete'
- * direction_tag = 'todrupal', 'toldap', or '', or 'none'
- * drupal_user_name = drupal user.  if direction is toldap, its the ldap associatied drupal user name.
- * key = user entered api key
- *
- * e.g.
- * https://intranet.mycompany.com/ldap/user/ws/create/todrupal/jdoe/dsfew32423rewr3224243
- * https://intranet.mycompany.com/ldap/user/ws/synch/todrupal/jdoe/dsfew32423rewr3224243
+ * Functions related to REST webservices for LDAP User module.
  *
+ * DO NOT USE THIS CODE, it is unsupported and only left for those relying on
+ * these functions already.
+ * 
+ * @codingStandardsIgnoreFile
  */
 
+/**
+ * @deprecated
+ */
 function _ldap_user_ws_urls_item_list() {
   global $base_url;
   $base = '<br/>' . $base_url . '/' . LDAP_USER_WS_USER_PATH;
   $ldap_user_conf = new LdapUserConf();
   $key = $ldap_user_conf->wsKey;
-  $item_list = array(
+  $item_list = [
     'Create: Drupal User based on LDAP Entry: ' . $base . "/create/todrupal/[username]|[dn]/$key",
     'Synch:  LDAP Entry to Drupal User: ' . $base . "/synch/todrupal/[username]|[dn]/$key",
     'Disable:  Drupal User: ' . $base . "/disable/todrupal/[username]|[dn]/$key",
@@ -30,32 +26,27 @@ function _ldap_user_ws_urls_item_list() {
     'Create:  LDAP Entry based on Drupal User: ' . $base . "/create/toldap/[username]/$key",
     'Synch:  Drupal User to LDAP Entry: ' . $base . "/synch/toldap/[username]/$key",
     'Query: LDAP Associated Drupal User Exists: ' . $base . "/query/none/[username]|[dn]/$key",
-  );
+  ];
   return $item_list;
 }
 
-
 /**
- * @todo: this needs work in a few areas:
- * - urls shoudl follow REST conventions
- * - returns should also follow REST conventions
- * - more error catching and $out should be an array that is output in a REST format
+ * @deprecated
  */
-
 function ldap_user_ws($action, $direction_tag, $drupal_user_name_or_dn, $key) {
 
   $action = check_plain($action);
   $key = urldecode($key);
 
-
   if (!$ldap_user_conf->wsEnabled) {
-    return ldap_user_ws_out(array(0, t('Webservice Not Enabled')));
+    return ldap_user_ws_out([0, t('Webservice Not Enabled')]);
   }
-  elseif ($key != $ldap_user_conf->wsKey) { // ldap_servers_encrypt($ldap_user_conf->wsKey, LDAP_SERVERS_ENC_TYPE_BLOWFISH)
-    return ldap_user_ws_out(array(0, t('Bad Webservice Key')));
+  // ldap_servers_encrypt($ldap_user_conf->wsKey, LDAP_SERVERS_ENC_TYPE_BLOWFISH)
+  elseif ($key != $ldap_user_conf->wsKey) {
+    return ldap_user_ws_out([0, t('Bad Webservice Key')]);
   }
   elseif (!in_array($_SERVER['REMOTE_ADDR'], array_values($ldap_user_conf->wsUserIps))) {
-    return ldap_user_ws_out(array(0, t('Request from non-allowed IP Address')));
+    return ldap_user_ws_out([0, t('Request from non-allowed IP Address')]);
   }
 
   if ($direction_tag == 'todrupal') {
@@ -68,7 +59,7 @@ function ldap_user_ws($action, $direction_tag, $drupal_user_name_or_dn, $key) {
     $sid = $ldap_user_conf->ldapEntryProvisionServer;
     $ldap_server = ldap_servers_get_servers($sid, NULL, TRUE);
   }
-  else  {
+  else {
     $direction = LDAP_USER_PROV_DIRECTION_NONE;
     $sid = LDAP_USER_NO_SERVER_SID;
     $ldap_server = FALSE;
@@ -85,8 +76,8 @@ function ldap_user_ws($action, $direction_tag, $drupal_user_name_or_dn, $key) {
   $ldap_user_conf = new LdapUserConf();
 
   $drupal_user = ($action == 'create' || $drupal_user_name === FALSE) ? FALSE : user_load_by_name($drupal_user_name);
-  $user_edit = array();
-  $account = array();
+  $user_edit = [];
+  $account = [];
 
   switch ($action) {
     case 'create':
@@ -95,49 +86,53 @@ function ldap_user_ws($action, $direction_tag, $drupal_user_name_or_dn, $key) {
         $new_account = $ldap_user_conf->provisionDrupalAccount($account, $user_edit, $ldap_user, TRUE);
         // @todo return boolean on first line, not human readable message
         $text = ($new_account) ? 'Created Account ' . $drupal_user_name : 'Fails to Create Account ' . $drupal_user_name;
-        return ldap_user_ws_out(array((boolean)($new_account), $text));
+        return ldap_user_ws_out([(boolean) ($new_account), $text]);
       }
       elseif ($direction = LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
-        $provision_result = $ldap_user_conf->provisionLdapEntry($drupal_user_name); // no need for ldap_user_ldap_provision_semaphore call with webservice since not tied to single user like logon process
+        // No need for ldap_user_ldap_provision_semaphore call with webservice since not tied to single user like logon process.
+        $provision_result = $ldap_user_conf->provisionLdapEntry($drupal_user_name);
         // @todo turn result array into response
       }
-    break;
+      break;
 
     case 'synch':
       if ($direction = LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
         $saved_account = $ldap_user_conf->synchToDrupalAccount($drupal_user, $user_edit, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, $ldap_user, TRUE);
         $text = ($saved_account) ? 'Updated Account ' . $drupal_user_name : 'Failed to Update Account ' . $drupal_user_name;
-        return ldap_user_ws_out(array((boolean)($saved_account), $text));
+        return ldap_user_ws_out([(boolean) ($saved_account), $text]);
       }
       elseif ($direction = LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
         $boolean_result = $ldap_user_conf->synchToLdapEntry($drupal_user_name);
         // @todo turn result array into response
       }
-    break;
+      break;
 
     case 'disable':
       if ($direction = LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
         $drupal_user->status = 0;
-        $edit = array('status' => 0);
-        $saved_account = user_save($drupal_user, array('status' => 0));
-        return ldap_user_ws_out(array((boolean)($saved_account), 'Disabled Account ' . $drupal_user_name));
+        $edit = ['status' => 0];
+        $saved_account = user_save($drupal_user, ['status' => 0]);
+        return ldap_user_ws_out([(boolean) ($saved_account), 'Disabled Account ' . $drupal_user_name]);
       }
-    break;
+      break;
 
     case 'delete':
       if ($direction = LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
         user_delete($drupal_user->uid);
-        return ldap_user_ws_out(array(1, 'Deleted Account ' . $drupal_user_name));
+        return ldap_user_ws_out([1, 'Deleted Account ' . $drupal_user_name]);
       }
       elseif ($direction = LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
         // @todo implement delete ldap record and call ldap_user event handler for delete account
       }
-    break;
+      break;
   }
   return $out;
 
 }
 
+/**
+ * @deprecated
+ */
 function ldap_user_ws_out($response) {
   return join("\n", $response);
 }
